Scilab Function
Last update : 16/6/2004

inv_coeff - construction d'une matrice polynomiale à partir des coefficients

### Calling Sequence

  `[P]=inv_coeff(C,[,d,[name])`

### Parameters

- `C` : "grosse" matrice des coefficients
- `d` : degré de la matrice polynomiale (paramètre optionnel valant par défaut `d=-1+size(C,'c')/size(C,'r')`)
- `name` : chaîne de caractères (indéterminée du polynôme, `'x'` par défaut).

### Description

`P=inv_coeff(Mp,k)`, quand `k` est compatible avec la taille de `Mp` renvoie une matrice polynomiale de degré k. `C=[C0,C1,...,Ck]` et `P= C0 + C1*x +... +Ck*x^k`.

### Examples

    A=int(10*rand(2,6))
    // construction d'une matrice polynomiale de degré 1
    P=inv_coeff(A,1)
    norm(coeff(P)-A)
    // utilisation de la valeur par défaut du degré
    P1=inv_coeff(A)
    norm(coeff(P1)-A)

### See Also

`poly`, `degree`, `coeff`,